API Docs / Operations / Tasks - Recurring / Create Recurring Task Schedule

Create Recurring Task Schedule

POST /tenants/{tenant}/recurring-tasks/{taskCode}/schedules

Creates a custom schedule on a recurring task, with or without clients. The schedule must be complete - linked clients' occurrences are generated from it instead of the default schedule. A listed client already on another schedule for this task is moved onto this one.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

taskCode* path string
{
  "name": "string",
  "clientCodes": [
    "string"
  ],
  "schedule": {
    "basis": "...",
    "recurrence": "...",
    "start": "...",
    "due": "...",
    "statutory": "..."
  }
}

Responses

400 Bad Request
401 Unauthorized – Invalid or missing API key
404 Not Found